---
layout: doc
title: UserDoc
permalink: /doc/UserDoc/
redirect_from: /wiki/UserDoc/
---

Qubes User Documentation
========================

1.  **Basic Reading**
    1.  [Getting Started](/doc/GettingStarted/)
    2.  [Security Guidelines](/doc/SecurityGuidelines/)
    3.  [Glossary of Qubes Terminology](/doc/Glossary/)

2.  **Dom0**
    1.  [Dom0 Command-Line Tools](/doc/DomZeroTools/)
    2.  [Updating Software in dom0](/doc/SoftwareUpdateDom0/)
    3.  [Copying Files to and from dom0](/doc/CopyToDomZero/)
    4.  [Backup, Restoration, and Migration](/doc/BackupRestore/)
    5.  [Qubes Policy for InterVM Services](/doc/Qrexec/#qubes-services-rpc-policy)
    6.  Advanced Topics
        1.  [Installing Anti Evil Maid](/doc/AntiEvilMaid/)
        2.  [XFCE Installation in dom0](/doc/UserDoc/XFCE/)
        3.  [Installing ZFS in Qubes](/doc/ZFS/)
        4.  [Configuring YubiKey for user authentication](/doc/YubiKey/)
        5.  [Storing AppVMs on Secondary Drives](/doc/SecondaryStorage/)
    7.  External Links
        1.  [Customizing the GUI experience with KDE](https://groups.google.com/d/topic/qubes-users/KhfzF19NG1s/discussion)

3.  **DomUs**
    1.  [DomU Command-Line Tools](/doc/VmTools/)
    2.  **Intra-VM Actions**
        1.  [Enabling Fullscreen Mode](/doc/FullScreenMode/)
        2.  [Managing Application Shortcuts](/doc/ManagingAppVmShortcuts/)

    3.  **Inter-VM Actions**
        1.  [Copying and Pasting Text Between Domains](/doc/CopyPaste/)
        2.  [Copying and Moving Files Between Domains](/doc/CopyingFiles/)
        3.  [Using GPG more securely in Qubes: Split GPG tutorial](/doc/UserDoc/SplitGpg/)

    4.  **NetVMs and ProxyVMs**
        1.  [Understanding Qubes Firewall](/doc/QubesFirewall/)
        2.  [Understanding and Preventing Data Leaks](/doc/DataLeaks/)
        3.  [How to Install a Transparent Tor ProxyVM (TorVM)](/doc/UserDoc/TorVM/)
        4.  [How to set up a ProxyVM as a VPN Gateway](/doc/VPN/)
        5.  [Adding Bridge Support to the NetVM (EXPERIMENTAL)](/doc/NetworkBridgeSupport/)
        6.  External Links
            1.  [Creating Custom NetVMs and ProxyVMs](http://theinvisiblethings.blogspot.com/2011/09/playing-with-qubes-networking-for-fun.html)
            2.  [How to run TorBrowser using external tor proxy (from TorVM)](https://groups.google.com/group/qubes-devel/msg/34f67194d3422bfa)
            3.  [How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
            4.  [HTTP filtering proxy in Qubes firewall VM](https://groups.google.com/group/qubes-devel/browse_thread/thread/5252bc3f6ed4b43e/d881deb5afaa2a6c#39c95d63fccca12b)

    5.  **[TemplateVMs](/doc/Templates/)**
        1.  [Updating and Installing Software in VMs](/doc/SoftwareUpdateVM/)
        2.  [Upgrading the Fedora Template](/doc/FedoraTemplateUpgrade/)
        3.  [Templates: Fedora - minimal](/doc/Templates/FedoraMinimal/)
        4.  [Templates: Debian](/doc/Templates/Debian/)
        5.  External Links
            1.  [Extending \`root.img\` Size](https://groups.google.com/group/qubes-devel/msg/9d1ac581236ca9b4)

    6.  **DispVMs**
        1.  [Disposable VMs](/doc/DisposableVms/)
        2.  [DispVM Customization](/doc/UserDoc/DispVMCustomization/)

    7.  **HVMs**
        1.  [Resizing AppVM and HVM Disk Images](/doc/ResizeDiskImage/)
        2.  [Tips for Using Linux in an HVM](/doc/LinuxHVMTips/)
        3.  [Creating and Using HVM and Windows Domains (Qubes R2+)](/doc/HvmCreate/)
        4.  External Links
            1.  [Creating Whonix HVMs in Qubes](https://www.whonix.org/wiki/Qubes)
            2.  [Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)

    8.  **Windows VMs**
        1.  [Installing and Using Windows-based AppVMs (Qubes R2 Beta 3 and later)](/doc/WindowsAppVms/)
        2.  [Advanced options and troubleshooting of Qubes Tools for Windows](/doc/WindowsTools/)

    9.  Advanced Topics
        1.  [Configuration files](/doc/UserDoc/ConfigFiles/)
        2.  [Qubes service framework](/doc/QubesService/)
        3.  [Note regarding password-less root access in VM](/doc/VMSudo/)

4.  **Applications**
    1.  [Languages](/doc/LanguageLocalization/)

5.  **Hardware**
    1.  [How to Mount USB Sticks to AppVMs](/doc/StickMounting/)
    2.  [Where are my external storage devices mounted?](/doc/ExternalDeviceMountPoint/)
    3.  [Assigning PCI Devices to AppVMs](/doc/AssigningDevices/)
    4.  [Enabling TRIM for SSD disks](/doc/DiskTRIM/)
    5.  [Configuring a Network Printer](/doc/NetworkPrinter/)
    6.  [Using External Audio Devices](/doc/ExternalAudio/)
    7.  Vendor-specific
        1.  [How to install an Nvidia driver in dom0](/doc/InstallNvidiaDriver/)
        2.  [Getting Sony Vaio Z laptop to work with Qubes](/doc/SonyVaioTinkering/)

    8.  External Links
        1.  [Installing on system with new AMD GPU (missing firmware problem)](https://groups.google.com/group/qubes-devel/browse_thread/thread/e27a57b0eda62f76)
        2.  [Solving problems with Macbook Air 2012](https://groups.google.com/group/qubes-devel/browse_thread/thread/b8b0d819d2a4fc39/d50a72449107ab21#8a9268c09d105e69)
        3.  [Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)


